<?php

defined('PHYSICAL2VIRTUAL_PATH') or die('Hacking attempt!');

global $conf, $template, $page;

if (isset($_POST['submit']) or isset($_POST['convert']))
{
  $conf['physical2virtual'] = array(
    'lock_physical' => isset($_POST['lock_physical']), 
    'private_physical' => isset($_POST['private_physical']), 
    'store_structure' => isset($_POST['store_structure']), 
    'unlock_virtual' => isset($_POST['unlock_virtual']), 
    'inherit' => isset($_POST['inherit']), 
    );
  if (isset($_POST['parent_cat']) and $_POST['parent_cat'] > 0)
    $conf['physical2virtual']['parent_cat'] = $_POST['parent_cat'];

  if (isset($_POST['submit']))
  {
    conf_update_param('physical2virtual', serialize($conf['physical2virtual']));
    $page['infos'][] = l10n('Information data registered in database');
  }
  if (isset($_POST['convert']))
  {
    physical2virtual_convert();
    $page['infos'][] = l10n('Convertion done');
  }
}

$query = '
SELECT id,name,uppercats,global_rank
  FROM '.CATEGORIES_TABLE.'
;';
display_select_cat_wrapper(
  $query,
  empty($conf['physical2virtual']['parent_cat']) ? array() : array($conf['physical2virtual']['parent_cat']),
  'category_parent_options'
  );

$template->assign(array(
  'physical2virtual' => $conf['physical2virtual'],
  ));

$template->set_filename('admintools_content', realpath(PHYSICAL2VIRTUAL_PATH . 'template/admin.tpl'));
$template->assign_var_from_handle('ADMIN_CONTENT', 'admintools_content');

?>
